﻿[{
    Name: "UPS Status",
    Author: "Jacobo Amselem",
    Version: "2015-07-03",

    GroupName: '',
    IconImage: 'pages/control/widgets/homegenie/generic/images/power.png',
    StatusText: '',
    Description: '',

    RenderView: function (cuid, module) {
        var container = $(cuid);
        var widget = container.find('[data-ui-field=widget]');
        //
        if (!this.Initialized) {
            this.Initialized = true;
        }
        //
        var DATE = HG.WebApp.Utility.GetModulePropertyByName(module, 'Ups.DATE').Value;
        widget.find('[data-ui-field=DATE]').html(DATE);

        var STATUS = HG.WebApp.Utility.GetModulePropertyByName(module, 'Ups.STATUS').Value;
        widget.find('[data-ui-field=STATUS]').html(STATUS);

        var BCHARGE = HG.WebApp.Utility.GetModulePropertyByName(module, 'Ups.BCHARGE').Value;

        d = BCHARGE.split(' ')[0];

        if (d >= 0 && d < 10)
            icon = "battery_level_0.png";
        else if (d >= 10 && d < 20)
            icon = "battery_level_10.png";
        else if (d >= 20 && d < 40)
            icon = "battery_level_20.png";
        else if (d >= 40 && d < 60)
            icon = "battery_level_40.png";
        else if (d >= 60 && d < 80)
            icon = "battery_level_60.png";
        else if (d >= 80 && d < 100)
            icon = "battery_level_80.png";
        else
            icon = "battery_level_100.png";

        widget.find('[data-ui-field=BCHARGE]').html(d + "%");
        widget.find('[data-ui-field=battery_charge]').attr('src', "pages/control/widgets/homegenie/generic/images/" + icon);


        //var LOADPCT = HG.WebApp.Utility.GetModulePropertyByName(module, 'Ups.LOADPCT').Value;

        var watts = HG.WebApp.Utility.GetModulePropertyByName(module, "Meter.Watts");
        if (watts != null) {
            var w = Math.round(watts.Value.replace(',', '.'));
            if (w > 0) {
                watts = w + 'W';
            } else watts = '';
        } else watts = '';

        widget.find('[data-ui-field=watts]').html(watts);

        var TIMELEFT = HG.WebApp.Utility.GetModulePropertyByName(module, 'Ups.TIMELEFT').Value;
        widget.find('[data-ui-field=TIMELEFT]').html(TIMELEFT);

        //
        // get module level prop for status text
        //
        var level = HG.WebApp.Utility.GetModulePropertyByName(module, "Status.Level");
        var levelText = '';
        if (level != null) {
            level = level.Value.replace(',', '.') * 100;
            if (level > 0) {
                levelText = 'ON';
                this.StatusText = '<img width="15" height="15" src="images/common/led_green.png" style="vertical-align:middle" />';
            }
            else {
                levelText = 'OFF';
                this.StatusText = '<img width="15" height="15" src="images/common/led_black.png" style="vertical-align:middle" />';
            }
        } else level = 0;
        this.StatusText = '<span style="vertical-align:middle">' + watts + '&nbsp;&nbsp;&nbsp; ' + levelText + '</span>&nbsp;' + this.StatusText;

        widget.find('[data-ui-field=status]').html(this.StatusText);
        widget.find('[data-ui-field=LOADPCT]').html(level + "%");
        widget.find('[data-ui-field=settings]').on('click', function () {
            HG.WebApp.Control.EditModule(module);
        });
    }

}]